import { Component, OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';

@Component({
    selector: 'app-my-profile',
    templateUrl: './my-profile.component.html',
    styleUrl: './my-profile.component.css',
    standalone: false
})
export class MyProfileComponent implements OnInit{
    
    isLoading: boolean = false;
    hasError: boolean = false;
    errorMessage: string = '';

    ngOnInit(): void {
        throw new Error('Method not implemented.');
    }

    constructor (
        private dialogRef: MatDialogRef<MyProfileComponent>
    ) {
        this.hasError = false;
        this.isLoading = false;
    }

    cancelar() : void {
        this.dialogRef.close();
    }



}
